@import url(https://fonts.googleapis.com/css?family=Ubuntu:300,300italic,regular,italic,500,500italic,700,700italic);
*{
    margin:0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: "Ubuntu";
}
body{
    background-color: #c9d6ff;
    background:linear-gradient(to right,#e2e2e2,#c9d6ff);
    display:flex;
    justify-content: center;
    align-items:center;
    flex-direction: column;
    height:100vh;
}
.container{
    background-color: #fff;
    border-radius: 30px;
    box-shadow:0 5px 15px rgba(0,0,0,0.35);
    position:relative;
    overflow:hidden;
    width:760px;
    /* max-width:100px; */
    min-height:480px;
}
.container p{
    font-size:14px;
    line-height:20px;
    letter-spacing:0.3px;
    margin:20px 0;
}
.container a{
    color:#333;
    font-size:13px;
    text-decoration: none;
    margin: 15px 0 10px;
}
.container #login{
    width:150px;
    background-color:#512da8;
    color:#fff;
    font-size: 12px;
    padding: 10px 45px;
    border: 1px solid transparent;
    border-radius: 8px;
    font-weight: 600;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    margin-top: 10px;
    cursor: pointer;
}
.container form{
    background-color: #fff;
    display:flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    height:90%;
}
.form-container p{
    text-align: center;
    border: 1px black solid;
    background-color: transparent;
    padding:5px;
    border-radius: 8px;
    position: relative;
    left:40px;
    transform: translateY(-60px);
    width:80%;
    outline:none;
    display: none;
}
.container input{
    background-color: #eee;
    border:none;
    margin:8px 0;
    padding:10px 15px;
    font-size:13px;
    border-radius: 8px;
    width:100%;
    outline:none;
}
.form-container{
    position:absolute;
    top: 0;
    height:100%;
    transition: all 0.6s ease-in-out
}
.sign-in{
    left:0;
    width:50%;
}
.intro-container{
    position: absolute;
    top: 0;
    left: 50%;
    width: 50%;
    height:100%;
    overflow:hidden;
    border-radius:150px 0 0 100px;
}
.container.active .intro-container{
    transform:translateX(-100%);
}
.intro{
    background-color :#512da8;
    height:100%;
    background:linear-gradient(to right,#5c6bc9,#512da8);
    color:#fff;
    position:relative;
    left:-100;
    height:100%;
    width:100%;
    transform:translateX(0);
    transition:all 0.6s ease-in-out;
} 
.container.active .intro{
    transform:translateX(50%)
}
.intro-panel{
    position:absolute;
    width: 50%;
    height: 100%;
    display:flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 30px;
    text-align:left;
    top:0;
    transform:translateX(0);
    transition:all 1s ease-in-out;
}
.intro-right{
    right:0px;
    transform:translateX(-50%);
} 

.container input:focus {
    border: 1px solid #512da8; /* Matches the button color for consistency */
    box-shadow: 0 0 5px rgba(81, 45, 168, 0.5); /* Slight shadow for focus */
}



/* Media query for smaller screens */
@media only screen and (max-width: 425px) {
    
    .container {
        border-radius: 15px;
        width:80%;
        max-width:425px;
        min-height: 480px; /* Remove minimum height for smaller screens */
        padding:20px;
    }
    .sign-in {
        width:100%;
    }
    .container button{
        padding: 10px 20px
    }
    /* Hide intro container on smaller screens */
    .intro-container {
        display: none;
    }

    /* Styling for sign-in form on smaller screens */
    .sign-in {
        width: 100%;
    }
}
